package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsStore;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * 店铺管理Mapper接口
 *
 * @author fs
 * @date 2023-06-15
 */
public interface FsStoreMapper
{
    /**
     * 查询店铺管理
     *
     * @param storeId 店铺管理主键
     * @return 店铺管理
     */
    public FsStore selectFsStoreByStoreId(Long storeId);

    /**
     * 查询店铺管理列表
     *
     * @param fsStore 店铺管理
     * @return 店铺管理集合
     */
    public List<FsStore> selectFsStoreList(FsStore fsStore);

    /**
     * 新增店铺管理
     *
     * @param fsStore 店铺管理
     * @return 结果
     */
    public int insertFsStore(FsStore fsStore);

    /**
     * 修改店铺管理
     *
     * @param fsStore 店铺管理
     * @return 结果
     */
    public int updateFsStore(FsStore fsStore);

    /**
     * 删除店铺管理
     *
     * @param storeId 店铺管理主键
     * @return 结果
     */
    public int deleteFsStoreByStoreId(Long storeId);

    /**
     * 批量删除店铺管理
     *
     * @param storeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsStoreByStoreIds(Long[] storeIds);
    @Update("UPDATE fs_store SET is_audit=#{isAudit} WHERE store_id=#{storeId}")
    int updateFsStoreAudit(@Param("storeId") Long storeId, @Param("isAudit") Integer isAudit);

    @Select("select * from fs_store where account=#{username}")
    FsStore selectFsStoreByAccount(String username);

    @Select("SELECT * from fs_store WHERE   FIND_IN_SET(store_id, (SELECT store_ids FROM fs_doctor where doctor_id=#{doctorId}))")
    List<FsStore> selectFsStoreListByDoctorId(Long doctorId);
}
